<script src="/assets/tinymce/tinymce.min.js"></script>
<script src="/assets/tinymce-i18n/langs5/fr_FR.js"></script>
<script type="text/javascript">

	var csrfName = '{{ csrf.name }}';
	var csrfValue = '{{ csrf.value }}';


	function ajaxRequestOrganizations(params) {
		$.ajax({
			url: '/action/ajax/list/organizations',
			method: 'post',
			data: {
				'csrf_name': csrfName,
				'csrf_value': csrfValue,
			},
			success: function (data) {
				$('#organizationsTotal').empty().html(data.total);
				params.success({
					'rows': data.rows,
                    'total': data.total
				})
			},
			error: function (er) {
				params.error(er);
			}
		});
	}

	function loadingTemplateOrganizations(message) {
		return '<div class="text-center">Chargement des collectivit&eacute;s...<br /><div class="spinner-border mt-2" role="status"></div></div>'
	}

	function organizationLabelFormatter(value, row, index) {
		return [
			'<a href="/administration/' + row.domain + '"><b>' + row.label + '</b></a>'
		].join('');
	}

	function actionFormatterOrganizationList(value, row, index) {
		var operate = [];
        operate.push('<div class="gn-actions">');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-eye-line view-organization" title="Visualiser">Visualiser</button>');
        operate.push('<button class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-organization" title="Supprimer">Supprimer</button>');
        operate.push('</div>')

        return operate.join('');
	}

    window.operateEvents = {
        'click .view-organization': function (e, value, row, index) {
            window.location.href = '/administration/' + row.domain;
        },
		'click .delete-organization': function (e, value, row, index) {
            GN.openModal('deleteOrganizationModal');
            $('#deleteOrganizationModal span.organization-label').html(row.label);
            $('#deleteOrganizationModal #organization-domain').val(row.domain);
        }
    }
</script>
